GPR(1)

NAME
gpr - a graphical frontend for lpr.

SYNOPSIS
gpr [-h] [--help] [-P <printer>] [-J <job name>] [-r] [-n] [-p <flag>] [filename]...

DESCRIPTION
gpr is a graphical interface to lpr that provides for easy configuration of printer-specific options. gpr interfaces with a PostScript printer's PPD file to create a user-interface of configurable options. Based upon user choice, the device-specific option code is then inserted into the PostScript job and sent to the printer. This can be used to tell the printer to duplex or staple the print job, or tell it what paper tray to draw paper from. NOTE: gpr will detect if the file to be print is postscript, and, if not, it will call a2ps to preprocess it before sending it to ppdfilt and to lpr.

OPTIONS
gpr accepts the following options:

-h, --help
    Show summary of options.

-P  Specify a destination printer

-d  Enable debugging output

-J  lpr option: Job name to print on burst page

-r  lpr option: Remove the files upon completion of spooling

-n  gpr option: Print the command line rather than executing the command

-p  gpr option: Use ppdfilt: 0 = Never, 1 = Always, 2 = with non-default PPD

OTHER INFO
The webpage for the GNULpr suite is at http://lpr.sf.org.

SEE ALSO
lpr(1),